## org.apache.naming.resources
Class WARDirContext.Entry

    java.lang.Object
      org.apache.naming.resources.WARDirContext.Entry

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  WARDirContext

protected class WARDirContext.Entry
extends java.lang.Object
implements java.lang.Comparable

Entries structure.

Field Summary
`protected WARDirContext.Entry[]` `children`
`protected java.util.zip.ZipEntry` `entry`
`protected java.lang.String` `name`

Constructor Summary
`WARDirContext.Entry(java.lang.String name, java.util.zip.ZipEntry entry)`

Method Summary
`void` `addChild(WARDirContext.Entry entry)`
`int` `compareTo(java.lang.Object o)`
`WARDirContext.Entry` `getChild(java.lang.String name)`
`WARDirContext.Entry[]` `getChildren()`
`java.util.zip.ZipEntry` `getEntry()`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### entry

    protected java.util.zip.ZipEntry entry

### children

    protected WARDirContext.Entry[] children

Constructor Detail

### WARDirContext.Entry

    public WARDirContext.Entry(java.lang.String name,
                               java.util.zip.ZipEntry entry)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getEntry

    public java.util.zip.ZipEntry getEntry()

### getName

    public java.lang.String getName()

### addChild

    public void addChild(WARDirContext.Entry entry)

### getChildren

    public WARDirContext.Entry[] getChildren()

### getChild

    public WARDirContext.Entry getChild(java.lang.String name)

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.